#032497061
import usb
import os
import time
from time import sleep

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1

class Board:
    def __init__(self):
        #print "Looking for MCU board..."
        dev = self.find_board()
        if not dev: raise "MCU board not found!"
        #print "MCU board found"
        self.handle = dev.open()

    def find_board(self):
        for bus in usb.busses():
            for dev in bus.devices:
                if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                    return dev
        return None

    def set_led(self,pin,val):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_OUT
        self.handle.controlMsg(reqType, VENDOR_RQ_SET_LED, None, value=val*256+pin)

    def get_switch(self):
        reqType = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
        buf = self.handle.controlMsg(reqType, VENDOR_RQ_GET_SWITCH, 1)
        return buf[0]


def show_sound(switch):
	print ""
	if switch&0b01000000 != 0 : 
		print "C",
		#os.system("rhythmbox-client --enqueue ./sound/do.mp3")
		os.system("gnome-open ./sound/do.mp3");
	if switch&0b00100000 != 0 : 
		print "D",
		#os.system("rhythmbox-client --enqueue ./sound/ray.mp3")
		os.system("gnome-open ./sound/ray.mp3");
	if switch&0b00010000 != 0 : 
		print "E",
		#os.system("rhythmbox-client --enqueue ./sound/me.mp3")
		os.system("gnome-open ./sound/me.mp3");
	if switch&0b00001000 != 0 : 
		print "F",
		#os.system("rhythmbox-client --enqueue ./sound/far.mp3")
		os.system("gnome-open ./sound/far.mp3");
	if switch&0b00000100 != 0 : 
		print "G",
		#os.system("rhythmbox-client --enqueue ./sound/son.mp3")
		os.system("gnome-open ./sound/son.mp3");
	if switch&0b00000010 != 0 : 
		print "A",
		#os.system("rhythmbox-client --enqueue ./sound/ra.mp3")
		os.system("gnome-open ./sound/ra.mp3");
	if switch&0b00000001 != 0 : 
		print "B",
		#os.system("rhythmbox-client --enqueue ./sound/tee.mp3")
		os.system("gnome-open ./sound/tee.mp3");
	 

def play():
	print "play keyboard"
	b=Board()
	last_switch=0
	switch=0
	last_time=time.time()
	while(True):
		switch=b.get_switch()
		this_time=time.time()
		if switch!=last_switch: 
			show_sound(switch)
			last_switch=switch
			last_time=this_time
		if (this_time-last_time+60)%60 > 9.0 : return			
		sleep(0.1)

c='a'
while c!='q':
	print "Choose menu"
	print "<p>:play"
	print "<q>:quit"
	c=raw_input();
	if c=='p' : play()

